TechDraw Hachures géométriques

From FreeCAD Documentation
Revision as of 13:08, 8 April 2020 by David69 (talk | contribs) (Created page with "{{incode|$INSTALL_DIR}} est le répertoire où FreeCAD a été installé, par exemple")
Other languages:

TechDraw Hachures géométriques

Emplacement du menu
TechDraw → Apply Geometric Hatch to Face
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Hachures par motifs, TechDraw Hachures

Description

L'outil Hachures géométriques remplit une région fermée dans une vue avec un motif basé sur une spécification de hachures AutoDesk PAT. Alternativement, l'outil TechDraw Hachures par motifs utilise un fichier SVG ou bitmap comme motif de hachures, voir TechDraw Hachures pour plus de détails.

Motif de hachures géométriques sur une face

Utilisation

  1. Sélectionnez une région fermée dans une vue. La région deviendra verte.
  2. Appuyez sur le bouton Apply Geometric Hatch to Face
  3. Une boîte de dialogue s'ouvrira où vous pourrez sélectionner votre modèle, une échelle pour le modèle et un poids de ligne.
  4. Vous devrez peut-être appuyer sur Rafraîchir et/ou Redraw Page pour obtenir la mise à jour du modèle.

Remarques

Un petit ensemble de modèles d'échantillons est disponible dans:

$INSTALL_DIR/Mod/TechDraw/PAT/FCPAT.pat

$INSTALL_DIR est le répertoire où FreeCAD a été installé, par exemple

/usr/share/freecad/Mod/TechDraw/PAT/FCPAT.pat

Properties

  • DonnéesSource: The View and Face to receive the hatch pattern.
  • DonnéesFile Pattern: The location of the PAT file to use.
  • DonnéesName Pattern: The name of the PAT specification within File Pattern.
  • DonnéesScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • VueWeight Pattern: The thickness of the pattern lines.
  • VueColor Pattern: The color for the pattern lines.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)